Loading...
Searching...
No Matches
casacore::ArrayInitPolicies Struct Reference

`#include <Allocator.h>`

## Static Public Attributes

static constexpr ArrayInitPolicy | NO_INIT
| Don't initialize elements in the array.
static constexpr ArrayInitPolicy | INIT
| Initialize all elements in the array with the default value.

## Detailed Description

Definition at line 67 of file Allocator.h.

## Member Data Documentation

## INIT

ArrayInitPolicy casacore::ArrayInitPolicies::INIT

static constexpr

Initialize all elements in the array with the default value.

Definition at line 71 of file Allocator.h.

Referenced by casacore::Block< T >::Block(), casacore::Block< T >::Block(), casacore::Block< T >::Block(), casacore::Block< T >::init(), casacore::Block< T >::remove(), casacore::Block< T >::remove(), casacore::Block< T >::resize(), and casacore::Block< T >::resize().

## NO_INIT

ArrayInitPolicy casacore::ArrayInitPolicies::NO_INIT

static constexpr

Don't initialize elements in the array.

(The array will be explicitly filled with values other than the default value.)

Definition at line 69 of file Allocator.h.

Referenced by casacore::Block< T >::Block(), casacore::Block< T >::Block(), casacore::Block< T >::Block(), casacore::Block< T >::Block(), casacore::Block< T >::Block(), casacore::Block< T >::Block(), casacore::Block< T >::operator=(), casacore::Block< T >::remove(), and casacore::Block< T >::resize().

The documentation for this struct was generated from the following file:

- casa/Containers/Allocator.h